#!/usr/bin/ruby

require 'korundum4'

about = KDE::AboutData.new( "part_test", "Load KPart", KDE.ki18n("Test loading KParts"), "0.1")
KDE::CmdLineArgs.init(ARGV, about)
a = KDE::Application.new
window = KDE::MainWindow.new
ww = Qt::Widget.new window

class KonsolePart

  def initialize parent

    factory = KDE::PluginLoader.new("libkonsolepart").factory
    @part = factory.create("KParts::ReadOnlyPart", parent, nil, [], "")

    @terminal = @part.qobject_cast(KDE::TerminalInterfaceV2)

    if @terminal.nil?
      @terminal = @part.qobject_cast(KDE::TerminalInterface)
    end

  end

  public

  def widget
    @part.widget
  end

end

mykonsole = KonsolePart.new ww
mykonsole.widget.show

# mykonsole.terminal.show_shell_in_dir ''

window.show
a.exec
