#!/usr/bin/ruby

require 'korundum4'

about = KDE::AboutData.new( "part_test", "Load KPart", KDE.ki18n("Test loading KParts"), "0.1")
KDE::CmdLineArgs.init(ARGV, about)
a = KDE::Application.new
window = KDE::MainWindow.new

factory = KDE::PluginLoader.new("libkonsolepart").factory
part = factory.create("KParts::ReadOnlyPart", window, nil, [], "")

terminal = part.qobject_cast(KDE::TerminalInterfaceV2)

if terminal.nil?
    terminal = part.qobject_cast(KDE::TerminalInterface)
end

if terminal.nil?
    p 'unknown terminal interface'
end

terminal.show_shell_in_dir ''
part.widget.show

window.show
a.exec
